import { Injectable } from '@angular/core';
import { Observable } from 'rxjs';
import { RPCService } from '@loafer/ng-rpc';
import { MetaMemberStatus } from '@overflow/commons-typescript/model/meta';

@Injectable()
export class MetaMemberStatusService {

  public constructor(
    private rpcService: RPCService,
  ) {

  }

  public readByKey(key: string): Observable<MetaMemberStatus> {
    return this.rpcService.call<MetaMemberStatus>('MetaMemberStatusService.readByKey', key);
  }

  public readAll(): Observable<MetaMemberStatus[]> {
    return this.rpcService.call<MetaMemberStatus[]>('MetaMemberStatusService.readAll');
  }
}
